//
// file      : gfx1_img.c
// author    : Ian Forse
// date      : 28-MAY-2004
// purpose   : Display a image of the world on the SP 5-GFX1
// includes  : pic.h, gfx1_ser_dr.c, gfx1_ser_dr.h, gfx_pic.c
// notes     : 
// compiler  : Hi tech Compiler V8.00PL3
//
// Copyright (C) 2004 Ian Forse
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
// USA

#include <pic.h>
__CONFIG (3F72h);

#include "gfx1_ser_dr.h"
#include "gfx1_ser_dr.c"
#include "gfx_pic.c"

__EEPROM_DATA(0x18, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00);

main()
{
	ADCON1 = 0x84; 		// Set port E0/1/2 digital - leave rest as ADC
	gfx1_start_up();
	gfx1_clear_all();
	gfx1_dis1();		// Display picture of world

	while(1)
	{
	}
}


