//
// file      : gfx1_ser_dr.h
// author    : Ian Forse
// date      : 21-MAY-2004
// purpose   : SP 5-GFX1 low level drivers
// includes  : None
// notes     : 
// compiler  : Hi tech Compiler V8.00PL3
//
// Copyright (C) 2004 Ian Forse
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
// USA


extern void gfx1_write_command (unsigned char data1);

extern void gfx1_write_data (unsigned char data2);

extern void gfx1_write_pos (unsigned char gfx1_page, unsigned char gfx1_col, unsigned char gfx1_data );

extern void gfx1_write_next ( unsigned char data3);

extern void gfx1_clear_page (unsigned char page_to_clear);

extern void gfx1_start_up (void);

extern void gfx1_start_posn (unsigned char start_col, unsigned char start_page);
